'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
var getImportDeclaration = exports.getImportDeclaration = function getImportDeclaration(data, t) {
	var name = data.name,
	    lib = data.lib,
	    defaultImport = data.defaultImport;

	var identifier = t.identifier(name);
	var importSpecifier = defaultImport ? t.importDefaultSpecifier(identifier) : t.importSpecifier(identifier, identifier);
	return t.importDeclaration([importSpecifier], t.stringLiteral(lib));
};

var getInitData = exports.getInitData = function getInitData(context) {
	if (!Array.isArray(context.opts.imports) || !context.opts.imports.length > 0 || !context.opts.target) {
		console.error('Error: Please provide Function Name, Lib and target correctly in babel config.');
		process.exit(1);
	}
	return { params: context.opts, func: context.opts.imports[0] };
};